# Yahoo! UI Library

### charts 3.3.0

Yahoo! UI Library > charts > Fills
Search:
Filters Show Private Show Protected Show Deprecated

## Class Fills

Utility class used for drawing area fills.

### Constructor

Fills `( )`

### Properties

#### _defaults - `private object`

### Methods

#### _getAreaDefaults

`private void _getAreaDefaults ( )`

#### _getClosingPoints

`protected _getClosingPoints ( )`
Concatanates coordinate array with correct coordinates for closing an area fill.

Returns: ``
  Array

#### _getStackedClosingPoints

`protected _getStackedClosingPoints ( )`
Concatenates coordinate array with the correct coordinates for closing an area stack.

Returns: ``
  Array

#### drawAreaSpline

`protected void drawAreaSpline ( )`
Draws a fill for a spline

#### drawFill

`protected void drawFill ( )`
Draws fill

#### drawStackedAreaSpline

`protected void drawStackedAreaSpline ( )`
Draws a a stacked area spline

Copyright © 2011 Yahoo! Inc. All rights reserved.